package com.jpsoft.shinestar.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.SupplementWorkPerson;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface SupplementWorkPersonDAO {
	int insert(SupplementWorkPerson entity);
	int update(SupplementWorkPerson entity);
	int exist(String id);
	SupplementWorkPerson get(String id);
	int delete(String id);
	List<SupplementWorkPerson> list();
	List<SupplementWorkPerson> search(Map<String,Object> searchParams,List<Sort> sortList);

    List<SupplementWorkPerson> findByScheduleAttendanceId(String scheduleAttendanceId);

    List<SupplementWorkPerson> findBySupplementWorkId(String supplementWorkId);

	int deletePerson(String id);
}